MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007359ardourbugspublic2017-05-15 13:562017-06-30 20:21
Reportersapista 
Assigned Toovenwerks 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSArchLinuxOS Versionup2date system
Product Version5.X git (version in description) 
Target VersionFixed in Version 
Summary0007359: OSC feedback for fader automation not working properly on fader mode.
DescriptionThe following has been tested on Ardour 5.9 obtained as the binary installer from ardour.org site.

When a OSC control surface is set to use /strip/gain instead /strip/fader using the OSC message /set_surface with last parameter set to 0 the automation feedback is not working as expected:
 - For Manual and Write modes ardour can be controlled using /strip/gain ssid level_dB. The ardour osc feedback is also reporting the correct values of dB through the message /strip/gain

- For Play and Touch mode, ardour's feedback is always through the message /strip/fader independently of the selection made by /set_suface command. Also, if the surface mode is set to gain, the feedback in these automation modes reports the correct gain level but using the /strip/fader message, which is wrong to report dB values.
Steps To ReproduceIt can be easily reproduced using the oscsend and oscdump commands:
1. Start a terminal and open a oscdump session: oscdump 8000
2. Start Ardour and configure the OSC surface properly.
3. Start a second terminal and send the osc setup message:
    oscsend localhost 3819 /set_surface iiii 0 159 3 0
4. Then test that ardour faders are capturing gain osc messages, for example:
    oscsend localhost 3819 /strip/gain if 1 -10
5. Set a fader to play or touch mode and play an automation curve. It can be seen in the oscdump output as fader movements are send in the described wrong format. This is using the /strip/fader instead of /strip/gain
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019702)
ovenwerks (reporter)
2017-05-15 17:44

Commit fee4b7b3ea6079c should have fixed that. It would have been in 5.9... but we had power out and the router here did not boot when the power came on.
Please test a nightly tomorrow.
(0019731)
sapista (reporter)
2017-05-22 13:53

I confirm that this has been fixed in 5.9.13. Thank you!!!
(0019733)
ovenwerks (reporter)
2017-05-22 14:23

Commit fee4b7b3ea6079c fixes this.

- Issue History
Date Modified Username Field Change
2017-05-15 13:56 sapista New Issue
2017-05-15 15:34 ovenwerks Status new => assigned
2017-05-15 17:44 ovenwerks Note Added: 0019702
2017-05-15 17:44 ovenwerks Status assigned => feedback
2017-05-22 13:53 sapista Note Added: 0019731
2017-05-22 13:53 sapista Status feedback => new
2017-05-22 14:23 ovenwerks Note Added: 0019733
2017-05-22 14:23 ovenwerks Status new => resolved
2017-05-22 14:23 ovenwerks Resolution open => fixed
2017-05-22 14:23 ovenwerks Assigned To => ovenwerks


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker